OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

SQConvert::IsVoidT< T > Struct Template Reference

Helper class to recognize if the given type is void. More...

`#include <squirrel_helper.hpp>`

Inheritance diagram for SQConvert::IsVoidT< T >:

## Additional Inherited Members
Static Public Attributes inherited from SQConvert::YesT< false >
static const bool | Yes
static const bool | No

## Detailed Description

### template<typename T>
struct SQConvert::IsVoidT< T >

Helper class to recognize if the given type is void.

Usage: 'IsVoidT<T>::Yes'

Definition at line 47 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp